<ng-container *ngIf="dispatchView else dataAwaitedBlk">
  <div class="e-card2 e-card2--bg-eblue100 eh-p-8 eh-txt-12">
    <div class="eh-txt-bold">Summary</div>
    <div class="eh-mt-4" fxLayout="row">
      <div>Start:</div>
      <div class="eh-w-64 eh-ml-8 eh-txt-bold">
        {{startMeasurement ? startMeasurement + ' in' : '-'}}
      </div>
      <div class="eh-ml-16">Latest:</div>
      <div class="eh-w-64 eh-ml-8 eh-txt-bold">
        {{latestMeasurement ? latestMeasurement + ' in' : '-'}}
      </div>
      <div class="eh-ml-16">Difference:</div>
      <div class="eh-w-64 eh-ml-8 eh-txt-bold">
        {{delta !== null ? delta + ' in' : '-'}}
      </div>
    </div>
  </div>

  <div class="e-title eh-mt-16">
    <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">monitor_weight</mat-icon>
    <span>Body Measurement Logs</span>
  </div>

  <div class="eh-mt-8" fxLayout="row" fxLayoutAlign="center center">
    <img class="eh-w-500" [src]="imgURL" alt="Body Measurement Guide">
  </div>

  <div fxLayout="row" fxLayoutAlign="start center">
    <app-button-icon-title class="eh-w-84" title="Add Log" buttonStyle="e-txt e-txt--warn" icon="playlist_add"
      iconStyle="e-mat-icon--2" (onButtonClick)="picker3.open()"></app-button-icon-title>

    <mat-form-field appearance="none">
      <input matInput [matDatepicker]="picker3" [max]="maxDate" [hidden]="true" [matDatepickerFilter]="dateFilter"
        (dateInput)="onDailyDateSelection($event)">
      <mat-datepicker #picker3></mat-datepicker>
    </mat-form-field>
  </div>
  <!-- 
  <div class="e-brd e-brd--bottom eh-p-12" fxLayout="row">
    <div class="eh-txt-12" fxFlex="0 0 16%">Date</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Chest (in)</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Mid Arm (in)</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Abs (in)</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Hips (in)</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Thighs (in)</div>
    <div fxFlex="0 0 14%"></div>
  </div> -->

  <ng-container *ngFor="let logFG of logsFA.controls; let i = index;">
    <app-progress-measurement-log [logFG]="logFG" [startMeasurement]="startMeasurement"
      (deleteEvent)="removeLog($event, i)">
    </app-progress-measurement-log>
  </ng-container>

</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--3 e-spinner--center eh-h-100v">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>